#!/bin/bash

export GSCRIPT_LIB64=`uname -m|sed -e 's/^.*_//'`
if [ "$GSCRIPT_LIB64" != "64" ]; then GSCRIPT_LIB64=""; fi;
#test /usr/lib et /usr/lib64
if [ "$(uname -s)" == "AIX" ]; then
if [ -f "/appli/apache/system/env.sh" ];then . /appli/apache/system/env.sh;fi
export GSCRIPT_LIB64=""
fi

if [ `id -un` != "webadm" ] ; then
        echo "This script must be run as user 'webadm'"
        echo "su webadm -c \"$0\""
#        exit;
echo "anyway it's ok"
fi

export GSCRIPT_SOUCHE="apache"
export GSCRIPT_VERSION="2.2.16"


export GSCRIPT_DIRAPP="/appli/${GSCRIPT_SOUCHE}"
export GSCRIPT_SCHVER="${GSCRIPT_SOUCHE}-${GSCRIPT_VERSION}"
export GSCRIPT_MOTEUR="$GSCRIPT_DIRAPP/${GSCRIPT_SCHVER}-eng"
export GSCRIPT_APACHE=$GSCRIPT_MOTEUR
export GSCRIPT_HOME="$GSCRIPT_DIRAPP/${GSCRIPT_SCHVER}-home"
export GSCRIPT_SRC="$GSCRIPT_DIRAPP/${GSCRIPT_SCHVER}-src"

export GSCRIPT_LIBZIP="$GSCRIPT_SRC/libs-src/zip"
export GSCRIPT_LIBSRC="$GSCRIPT_SRC/libs-src/libsrc"

export GSCRIPT_MYSQL="/appli/mysql/mysql-5.1-eng/"
export GSCRIPT_SSLDIR="/appli/openssl/openssl-0.9.8l-eng/"
export GSCRIPT_SSLDIR=/appli/openssl/openssl-0.9.8e-eng
#export GSCRIPT_SSLDIR=/usr/local/dit/openssl/0.9.8e
export GSCRIPT_ZLIBDIR=$GSCRIPT_LIBDIR/lib
#export GSCRIPT_ZLIBDIR=/appli/apache/gm/zlib


#toutes les libs vont dans apache..eng/libs/
export GSCRIPT_LIBDIR="$GSCRIPT_APACHE/libs"

function f_envcompil {
	#export LD_LIBRARY_PATH="$GSCRIPT_APACHE:/lib$GSCRIPT_LIB64:/usr/lib$GSCRIPT_LIB64:/opt/freeware/lib/gcc/powerpc-ibm-aix6.1.0.0/4.2.0"
	export LD_LIBRARY_PATH="$GSCRIPT_APACHE"
	export LD_RUN_PATH=""
	#export LDFLAGS=""
	#export CPPFLAGS=""
	#export LDFLAGS=" -L$GSCRIPT_LIBDIR/lib -L$GSCRIPT_APACHE/lib -L/lib$GSCRIPT_LIB64 -L/usr/lib$GSCRIPT_LIB64"
	export LDFLAGS="-L$GSCRIPT_LIBDIR/lib -L$GSCRIPT_APACHE/lib -L$GSCRIPT_SSLDIR/lib"
	export CPPFLAGS="-I$GSCRIPT_LIBDIR/include -I$GSCRIPT_APACHE/include -I$GSCRIPT_SSLDIR/include"
}
function f_envcompil_dr {
	export LD_LIBRARY_PATH="$GSCRIPT_APACHE:/lib$GSCRIPT_LIB64:/usr/lib$GSCRIPT_LIB64"

if [ "$(uname -s)" == "AIX" ]; then

export PATH=/appli/apache/system/exe/bin:/usr/bin:/etc:/usr/sbin:/usr/ucb:/usr/bin/X11:/sbin:/usr/java5/jre/bin:/usr/java5/bin:/usr/local/bin:/usr/dit/configure/bin:
export LD_LIBRARY_PATH=/appli/apache/system/exe:$GSCRIPT_MOTEUR:$GSCRIPT_LIBDIR
fi

	export LD_RUN_PATH=$LD_LIBRARY_PATH
	export LDFLAGS=""
	export CPPFLAGS=""
	#utilise GLBD pour raccourcir les lignes de commandes
	export GLBD=$GSCRIPT_LIBDIR
	for libnom in `ls -d $GLBD/*/|sed -e 's:/$::g' -e 's:^.*/::g'`;do
		export LD_LIBRARY_PATH="$LD_LIBRARY_PATH GLBD/$libnom/lib :"
		export LD_RUN_PATH="$LD_RUN_PATH GLBD/$libnom/lib :"
		export LDFLAGS="$LDFLAGS -LGLBD/$libnom/lib "
		export CPPFLAGS="$CPPFLAGS -IGLBD/$libnom/include "
		#memo+export du nom avec version
		GSCRIPT_LIBSRC_NOM_S=`echo "$libnom"|sed -e 's/-[\.0-9\-]*$//' -e 's/-/_/g'`
		export GSCRIPT_LIB_${GSCRIPT_LIBSRC_NOM_S}="$libnom"
	done
	export LD_LIBRARY_PATH=`echo "$LD_LIBRARY_PATH:$GSCRIPT_APACHE:/lib$GSCRIPT_LIB64:/usr/lib$GSCRIPT_LIB64"|sed -e "s:GLBD:$GLBD:g"`
	export LD_RUN_PATH=`echo "$LD_RUN_PATH:$GSCRIPT_APACHE:/lib$GSCRIPT_LIB64:/usr/lib$GSCRIPT_LIB64"|sed -e "s:GLBD:$GLBD:g"`
	export LDFLAGS=`echo "$LDFLAGS -L$GSCRIPT_APACHE/lib -L/lib$GSCRIPT_LIB64 -L/usr/lib$GSCRIPT_LIB64"|sed -e "s:GLBD:$GLBD:g"`
	export CPPFLAGS=`echo "$CPPFLAGS -I$GSCRIPT_APACHE/include"|sed -e "s:GLBD:$GLBD:g"`
	#export CFLAGS="-fPIC"
}
f_envcompil

#f_read "question :" "valeur par defaut" "eval"; exporte $F_READ_RETURN
#f_read "ok?(y/N):" "n" "tr [:upper:] [:lower:]";GK=$F_READ_RETURN
function f_read {
	READ_MESSAGE=$1
	READ_OPTARG=$2
	READ_EVAL=$3
	echo -n $READ_MESSAGE
	if [ "$READ_OPTARG" != "" ]; then
			READ_VALUE="$READ_OPTARG"
			echo $READ_VALUE
	else
			read READ_VALUE;
	fi
	if [ "$READ_EVAL" != "" ]; then
		READ_VALUE=`echo "$READ_VALUE" | $READ_EVAL `
	fi
	export F_READ_RETURN=$READ_VALUE
}

function f_absolutepath {
	eval F_ABSOLUTEPATH_VAL=\$$1
	if [ "$(echo $F_ABSOLUTEPATH_VAL | cut -c1-1 )" == "/" ]; then return; fi
	export $1="$PWD/$F_ABSOLUTEPATH_VAL"
}

function f_untar {
	GUNTAR_CWD=$PWD
	GUNTAR_CMD="ls"
	GUNTAR_LIBNOM=$1
	GUNTAR_LIBZIP=$2
	f_absolutepath GUNTAR_LIBZIP
	GUNTAR_LIBUNZIP=$3
	f_absolutepath GUNTAR_LIBUNZIP
	echo "dezip $GUNTAR_LIBNOM"
	cd $GUNTAR_LIBZIP
	GUNTAR_LIBZIP_NOM_V=`ls -d $GUNTAR_LIBNOM*.tar.gz|head -n1 2>/dev/null`;
	if [ "$GUNTAR_LIBZIP_NOM_V" != "" ]; then GUNTAR_CMD="gzip -dc $GUNTAR_LIBZIP/$GUNTAR_LIBZIP_NOM_V|tar xf -";fi
	GUNTAR_LIBZIP_NOM_V=`ls -d $GUNTAR_LIBNOM*.tgz|head -n1 2>/dev/null`;
	if [ "$GUNTAR_LIBZIP_NOM_V" != "" ]; then GUNTAR_CMD="gzip -dc $GUNTAR_LIBZIP/$GUNTAR_LIBZIP_NOM_V|tar xf -";fi
	GUNTAR_LIBZIP_NOM_V=`ls -d $GUNTAR_LIBNOM*.zip|head -n1 2>/dev/null`;
	if [ "$GUNTAR_LIBZIP_NOM_V" != "" ]; then GUNTAR_CMD="unzip $GUNTAR_LIBZIP/$GUNTAR_LIBZIP_NOM_V";fi
	GUNTAR_LIBZIP_NOM_V=`ls -d $GUNTAR_LIBNOM*.tar.bz2|head -n1 2>/dev/null`;
	if [ "$GUNTAR_LIBZIP_NOM_V" != "" ]; then GUNTAR_CMD="bzip2 -dc $GUNTAR_LIBZIP/$GUNTAR_LIBZIP_NOM_V|tar xf -";fi
	cd $GUNTAR_LIBUNZIP
	eval $GUNTAR_CMD
	cd $GUNTAR_CWD
}

