#!/bin/sh
#install des extensions a phpizer
. ../env.sh

if [ ! -d "ext" ]; then mkdir ext; fi
GSCRIPT_CURDIR=$PWD

function compile_ext
{
GSCRIPT_LIBNOM=$1
GSCRIPT_CONFOPTION=$2
GSCRIPT_PHPINI=$3

if [ -z "$(ls -d ext/${GSCRIPT_LIBNOM}*/)" ]; then 
	f_untar "${GSCRIPT_LIBNOM}" "$GSCRIPT_CURDIR/zip" "$GSCRIPT_CURDIR/ext"
fi
if [ -z "$(ls -d ext/${GSCRIPT_LIBNOM}*/)" ]; then echo "erreur lib  ext/$GSCRIPT_LIBNOM"; fi

cd $GSCRIPT_CURDIR/ext/${GSCRIPT_LIBNOM}*/
GSCRIPT_SAVPATH=$PATH
export PATH="$PATH:$GSCRIPT_MOTEUR/bin"
PHP_AUTOCONF="$GSCRIPT_MOTEUR/bin"
if [ -f "config.m4" ]; then phpize; fi
CMDCNF="./configure $GSCRIPT_CONFOPTION \
 --cache-file=config.cache \
 --prefix=$GSCRIPT_MOTEUR \
 --exec-prefix=$GSCRIPT_MOTEUR \
 --with-libdir=$GSCRIPT_MOTEUR/libs/lib "
echo $CMDCNF
$CMDCNF
make
make install
export PATH=$GSCRIPT_SAVPATH
mkdir -p $GSCRIPT_MOTEUR/conf/php.d/
if [ -z "$GSCRIPT_PHPINI" ]; then
	cp *.ini $GSCRIPT_MOTEUR/conf/php.d/
else
	echo "$GSCRIPT_PHPINI" > $GSCRIPT_MOTEUR/conf/php.d/${GSCRIPT_LIBNOM}.ini
fi
cd $GSCRIPT_CURDIR
}

#compil wso2 lib and ext
export PARSER_CFLAGS="-I$GSCRIPT_LIBDIR/include/libxml2" 
export PARSER_LIBS="-L$GSCRIPT_LIBDIR/lib -lxml2" 
export LIBXML2_CFLAGS="-I$GSCRIPT_LIBDIR/include/libxml2" 
export LIBXML2_LIBS="-L$GSCRIPT_LIBDIR/lib -lxml2" 
export CFLAGS="-D_ALL_SOURCE"
CPPFLAGS_SAV=$CPPFLAGS
export CPPFLAGS="$CPPFLAGS $PARSER_CFLAGS"
#compile_ext "wso2" "" "extension=wsf.so"
unset CFLAGS
export CPPFLAGS=$CPPFLAGS_SAV

#compil e-accelerator
#compile_ext "eaccelerator" "--with-eaccelerator-userid=$(id -u webadm)" ""

#compile php-hardened suhosin
#compile_ext suhosin

#unzip and compil system libaio
#rm -rf ext/libaio*/
#f_untar "libaio" "zip" "ext"
#cd ext/libaio*/
#make prefix=$GSCRIPT_MOTEUR/libs/ install
#cd ../..
#compile oci extension
GSCRIPT_ORAINSTLIB=$(ls -d $GSCRIPT_MOTEUR/libs/instantclient*)
compile_ext oci8 "--with-oci8=shared,instantclient,$GSCRIPT_ORAINSTLIB" "extension=oci8.so"



