#!/bin/bash

GSCRIPT_DIRAPP="/appli/apache"
GSCRIPT_APPLI="apache"
GSCRIPT_VERSION="2.2.14"
GSCRIPT_MOTEUR="$GSCRIPT_DIRAPP/$GSCRIPT_APPLI-$GSCRIPT_VERSION-eng"
GSCRIPT_HOME="$GSCRIPT_DIRAPP/$GSCRIPT_APPLI-$GSCRIPT_VERSION-home"


# f_mustrunas root
function f_mustrunas {
if [ `id -un` != "$1" ] ; then
        echo "This script must be run with user '$1'"
        echo "su $1 -c \"$0\""
        exit 1;
fi
}

#f_read "question :" "valeur par defaut" "eval"; exporte $F_READ_RETURN
#f_read "ok?(y/N):" "n" "tr [:upper:] [:lower:]";GK=$F_READ_RETURN
function f_read {
        READ_MESSAGE=$1
        READ_OPTARG=$2
        READ_EVAL=$3
        echo $READ_MESSAGE
        if [ "$READ_OPTARG" != "" ]; then
                READ_VALUE="$READ_OPTARG"
				echo $READ_VALUE
        else
                read READ_VALUE;
        fi
        if [ "$READ_EVAL" != "" ]; then
			READ_VALUE=`echo "$READ_VALUE" | $READ_EVAL `
		fi
        export F_READ_RETURN=$READ_VALUE
}


#f_is_port_used $port
#if [ $? == 1 ]; then echo "Erreur, le port $port est déjà utilisé";exit;fi;

function f_is_port_used {
if [ "$(uname -s)" == "AIX" ];then
        F_IS_PORT_USED_IS=`netstat -an|grep LISTEN|grep "^tcp"|sed \
			-e 's/[^ ]*  *//' \
			-e 's/[^ ]*  *//' \
			-e 's/[^ ]*  *//' \
			-e 's/ .*$//' \
			-e 's/^.*\.//'| \
			sort -u -n|grep -E "^$1\$"`
else
        F_IS_PORT_USED_IS=`netstat -an|grep LISTEN|grep "^tcp"|sed -r -e 's/^tcp\W+\w+\W+\w+\W+[0-9\.]*:+//' -e 's/\W.*$//'|sort -n|dos2unix|grep -E "^$1\$"`
fi
if [ "$F_IS_PORT_USED_IS" == $1 ]; then
	return 1;
else
	return 0;
fi;
}
