#!/bin/sh
. ../env.sh

GSCRIPT_VERSIONTAR=`ls -d ${GSCRIPT_APPLI}*.tar.gz|head -n 1|sed -e 's/\.tar\.gz//'`
#read -p "suppression et recompilation ?"
#echo $REPLY
#if [[ "$REPLY" =~ "/oyOY/" ]] ; then
#	zrm -rf $GSCRIPT_VERSIONTAR
if [ ! -d "$GSCRIPT_VERSIONTAR" ]; then
	gzip -dc $GSCRIPT_VERSIONTAR.tar.gz | tar xf -;
fi
cd $GSCRIPT_VERSIONTAR

#GSCRIPT_SSLDIR=/appli/openssl/openssl-0.9.8e-eng
#GSCRIPT_SSLDIR=/usr/local/dit/openssl/0.9.8e
#GSCRIPT_ZLIBDIR=$GSCRIPT_MOTEUR/libs/lib
#GSCRIPT_ZLIBDIR=/appli/apache/gm/zlib
#deplace dans ../env.sh

GSCRIPT_CMDCONF_WLO="\
 --with-mpm=worker \
"
#--with-mpm=prefork
# --with-apr=$GSCRIPT_LIBDIR
# --with-apr-util=$GSCRIPT_LIBDIR
GSCRIPT_CMDCONF_APR="\
 --with-mpm=prefork \
"

GSCRIPT_CMDCONF="./configure -C \
 --prefix=$GSCRIPT_MOTEUR \
 --with-ssl=$GSCRIPT_SSLDIR \
 $GSCRIPT_CMDCONF_APR \
 --with-z=$GSCRIPT_ZLIBDIR \
\
 --enable-so \
\
  --enable-auth-digest=shared \
  --enable-authn-alias=shared \
  --enable-authn-anon=shared \
  --enable-authn-dbd=shared \
  --enable-authn-dbm=shared \
  --enable-authz-dbm=shared \
  --enable-authz-owner=shared \
\
  --enable-auth_basic=shared \
  --enable-authn_default=shared \
  --enable-authn_file=shared \
  --enable-authz_default=shared \
  --enable-authz_groupfile=shared \
  --enable-authz_host=shared \
  --enable-authz_user=shared \
  --enable-filter=shared \
  --enable-include=shared \
  --enable-auth_digest=shared \
 \
  --enable-bucketeer=shared \
  --enable-cache=shared \
  --enable-case-filter=shared \
  --enable-case-filter-in=shared \
  --enable-cern-meta=shared \
  --enable-cgi=shared \
  --enable-cgid=shared \
  --enable-charset-lite=shared \
  --enable-dav=shared \
  --enable-dav-fs=shared \
  --enable-dav-lock=shared \
  --enable-dbd=shared \
  --enable-deflate=shared \
  --enable-disk-cache=shared \
  --enable-dumpio=shared \
  --enable-echo=shared \
  --enable-example=shared \
  --enable-exception-hook=shared \
  --enable-expires=shared \
  --enable-ext-filter=shared \
  --enable-file-cache=shared \
  --enable-headers=shared \
  --enable-ident=shared \
  --enable-imagemap=shared \
  --enable-info=shared \
  --enable-isapi=shared \
  --enable-log-forensic=shared \
  --enable-logio=shared \
  --enable-maintainer-mode=shared \
  --enable-mem-cache=shared \
  --enable-mime-magic=shared \
  --enable-pie=shared \
  --enable-proxy=shared \
  --enable-proxy-ajp=shared \
  --enable-proxy-balancer=shared \
  --enable-proxy-connect=shared \
  --enable-proxy-ftp=shared \
  --enable-proxy-http=shared \
  --enable-proxy-scgi=shared \
  --enable-reqtimeout=shared \
  --enable-rewrite=shared \
  --enable-speling=shared \
  --enable-ssl=shared \
  --enable-static-ab \
  --enable-static-checkgid \
  --enable-static-htcacheclean \
  --enable-static-htdbm \
  --enable-static-htdigest \
  --enable-static-htpasswd \
  --enable-static-httxt2dbm \
  --enable-static-logresolve \
  --enable-static-rotatelogs \
  --enable-static-support \
  --enable-substitute=shared \
  --enable-suexec=shared \
  --enable-unique-id=shared \
  --enable-usertrack=shared \
  --enable-v4-mapped=shared \
  --enable-vhost-alias=shared \

";

OLDGSCRIPTNAZE="\
 --enable-nonportable-atomics=yes \
 --enable-access \
 --enable-alias \
 --enable-auth \
 --enable-dir \
 --enable-log-config \
 --enable-mime \
 --enable-negotiation \
 --enable-setenvif \
 --enable-so \
 --enable-deflate \
 --enable-expires \
 --enable-rewrite \
 --enable-ssl \
 --disable-include \
 --disable-env \
 --disable-autoindex \
 --disable-asis \
 --disable-userdir \
 --disable-imap \
 --disable-cgi \
 --disable-cgid \
 --disable-actions \
 --disable-status \
 --enable-mods-shared=all \
 --enable-static-support \
 --enable-rule=SSL_SDBM \
 --enable-static \
 --enable-shared \
 --with-pic \
 \
 --enable-module=so
"

#$GSCRIPT_MOTEUR/lib
# --with-apr=/appli/php/php530src/lib/ \
# --with-apr-util=/appli/php/php530src/lib/

rm -f ../compil.log
echo $GSCRIPT_CMDCONF
$GSCRIPT_CMDCONF
make
make install

sed -e "s:LD_LIBRARY_PATH=.*openssl[^/]*/lib\::LD_LIBRARY_PATH=\":" \
    -e "s:LD_LIBRARY_PATH=\":LD_LIBRARY_PATH=\"$GSCRIPT_SSLDIR/lib\::" \
	 $GSCRIPT_MOTEUR/bin/envvars > tmp;mv tmp $GSCRIPT_MOTEUR/bin/envvars
#
#--with-ssl=$GSCRIPT_MOTEUR/libs/lib \
#--enable-mods-shared='actions cgi cgid headers proxy proxy_connect proxy_ftp proxy_http status' \
#





