#!/bin/bash
. ../env.sh

if [ ! -d "$GSCRIPT_LIBSRC" ]; then mkdir -p $GSCRIPT_LIBSRC; fi;
if [ ! -d "$GSCRIPT_LIBDIR" ]; then mkdir -p $GSCRIPT_LIBDIR; fi;
if [ ! -d "$GSCRIPT_DIRAPP" ]; then mkdir -p $GSCRIPT_DIRAPP; fi
if [ ! -d "$GSCRIPT_LIBDIR/lib" ]; then mkdir -p $GSCRIPT_LIBDIR/lib; fi;


#install frefab libs mysql & oracle
sh prelibs.sh 
#1>>../php_std.log   2>> ../php_err.log


cd zip
GSCRIPT_VERSIONTAR=`ls -d php*.tar.gz|head -n 1|sed -e 's/\.tar\.gz//'`
cd ..
if [ ! -d "$GSCRIPT_VERSIONTAR" ]; then 
	gzip -dc zip/$GSCRIPT_VERSIONTAR.tar.gz|tar xf -; 
fi
cd $GSCRIPT_VERSIONTAR
rm -f ../php_std.log ../php_err.log
touch ../php_std.log ../php_err.log

#DEBUG : 
#TSTGSCRIPT_CMDCONFPHP="./configure \
# --prefix=$GSCRIPT_MOTEUR \
# --exec-prefix=$GSCRIPT_MOTEUR \
# --with-apxs2=$GSCRIPT_APACHE/bin/apxs \
# --disable-all "
#GSCRIPT_CMDCONFPHP_OK="./configure \
# --cache-file=config.cache \
# --prefix=$GSCRIPT_MOTEUR \
# --exec-prefix=$GSCRIPT_MOTEUR \
# --with-apxs2=$GSCRIPT_APACHE/bin/apxs \
#  --with-zlib=$GSCRIPT_LIBDIR/$GSCRIPT_LIB_zlib \
#  --with-bz2=$GSCRIPT_LIBDIR/$GSCRIPT_LIB_bzip2 \
#  --enable-calendar \
#  --enable-exif \
#  --with-mhash=$GSCRIPT_LIBDIR/$GSCRIPT_LIB_mhash \
#  --with-mysql=$GSCRIPT_MYSQL \
#  --with-mysqli=$GSCRIPT_MYSQL/bin/mysql_config \
#\
#  --without-gettext \
#\
#  --enable-soap \
#  --enable-wddx \
#  --with-libxml-dir=$GSCRIPT_LIBDIR/$GSCRIPT_LIB_libxml2 \
#  --enable-soap        \
#  --enable-wddx \
#  --with-xmlrpc=$GSCRIPT_LIBDIR/$GSCRIPT_LIB_xmlrpc \
#  --with-xsl=$GSCRIPT_LIBDIR/$GSCRIPT_LIB_libxslt \
#\
#  --enable-shmop \
#  --enable-sockets     \
#  --enable-sqlite-utf8 \
#  --enable-zip \
#  --enable-ftp \
#  --enable-mysqlnd-threading \
#  --with-curl=$GSCRIPT_LIBDIR/$GSCRIPT_LIB_curl \
#  --with-curlwrappers \
#  --enable-mbstring \
#  --without-mcrypt \
#  --with-config-file-path=$GSCRIPT_MOTEUR/conf \
#
#"

GSCRIPT_CMDCONFPHP="./configure \
 --cache-file=config.cache \
 --prefix=$GSCRIPT_MOTEUR \
 --exec-prefix=$GSCRIPT_MOTEUR \
 --with-apxs2=$GSCRIPT_APACHE/bin/apxs \
 --with-config-file-path=$GSCRIPT_MOTEUR/conf \
 \
 --enable-mysqlnd-threading \
 \
 --enable-sqlite-utf8 \
 --enable-wddx \
 --enable-zip \
 --enable-exif \
 --enable-calendar \
 --enable-ftp \
 --enable-mbstring \
 \
 --enable-bcmath \
 --enable-dba \
 --enable-gd-native-ttf \
 --enable-gd-jis-conv \
 --enable-intl \
 --disable-embedded-mysqli \
 --enable-shmop \
 --enable-ucd-snmp-hack \
 --enable-roxen-zts \
 --enable-pcntl \
 \
 --with-curlwrappers \
 \
 --with-zlib=$GSCRIPT_LIBDIR \
 --with-bz2=$GSCRIPT_LIBDIR \
 --with-curl=$GSCRIPT_LIBDIR \
 --with-mysql=$GSCRIPT_MYSQL \
 --with-mysqli=$GSCRIPT_MYSQL/bin/mysql_config \
\
 --with-libxml-dir=$GSCRIPT_LIBDIR \
 --with-xmlrpc=$GSCRIPT_LIBDIR \
 --with-xsl=$GSCRIPT_LIBDIR \
 --with-zlib=$GSCRIPT_LIBDIR \
 --with-gettext \
 --with-mcrypt=$GSCRIPT_LIBDIR \
 --with-oci8=shared,instantclient,$GSCRIPT_LIBDIR/instantclient_11_2 \
 --with-icu-dir=$GSCRIPT_LIBDIR \
 --with-png-dir=$GSCRIPT_LIBDIR \
 --with-jpeg-dir=$GSCRIPT_LIBDIR \
 --with-freetype-dir=$GSCRIPT_LIBDIR \

"


#20/09 enleve pour test
# --with-gettext=$GSCRIPT_LIBDIR/$GSCRIPT_LIB_gettext \
#  --with-libmbfl=$GSCRIPT_LIBDIR/$GSCRIPT_LIB_libmbfl \
#--enable-mbstring=$GSCRIPT_LIBDIR/$GSCRIPT_LIB_mbstring \
#--with-pcre-dir=$GSCRIPT_LIBDIR/$GSCRIPT_LIB_pcre \
#

#tail -f ../php_std.log ../php_err.log&

LDFLAGS_SAV=$LDFLAGS
export LDFLAGS="$LDFLAGS -lstdc++"

#$GSCRIPT_CMDCONFPHP 1>>../php_std.log   2>> ../php_err.log
#$GSCRIPT_CMDCONFPHP 

sed -e 's/A-Za-z0-9_-*/A-Za-z0-9_-/' Makefile > Makefile.sedtmp
mv Makefile.sedtmp Makefile 

#make 

export LDFLAGS=$LDFLAGS_SAV

#1>>../php_std.log   2>> ../php_err.log
#make test 1>>../php_std.log   2>> ../php_err.log

for i in $(find . -name "*.la"); do
if [ -f "$i.sav" ];then cp $i.sav $i;else cp $i $i.sav;fi
ed -s $i <<EOD>/dev/null
/dlname
t /library_names
1
/library_names
m +1
-1
.,+1 j
s/dlname=/library_names=/
s/'library_names='/ /
w
q
EOD
done

make install 
#1>>../php_std.log   2>> ../php_err.log
cd ..

#recompil php hardened / suhosin et eaccelerator
sh extensions.sh 
#1>>../php_std.log   2>> ../php_err.log

#install de librairies php
sh libphp.sh 
#1>>../php_std.log   2>> ../php_err.log

