#!/bin/sh


. ./tools_common.inc.sh

f_mustrunas webadm

if [ "$1" == "" ]; then echo "ERR: usage $0 instance";exit 1;fi
instance=$1
if [ ! -d "$GSCRIPT_HOME/$instance/data/htdocs/" ]; then echo "ERR: $GSCRIPT_HOME/$instance/data/htdocs/ not found";exit 2;fi
phpmyzip=$(ls php?y?dmin*.zip)

f_untar {
	GUNTAR_CWD=$PWD
	GUNTAR_CMD="ls"
	GUNTAR_LIBNOM=$1
	GUNTAR_LIBZIP=$2
	f_absolutepath GUNTAR_LIBZIP
	GUNTAR_LIBUNZIP=$3
	f_absolutepath GUNTAR_LIBUNZIP
	echo "dezip $GUNTAR_LIBNOM"
	cd $GUNTAR_LIBZIP
	GUNTAR_LIBZIP_NOM_V=`ls -d $GUNTAR_LIBNOM*.tar.gz|head -n1 2>/dev/null`;
	if [ "$GUNTAR_LIBZIP_NOM_V" != "" ]; then GUNTAR_CMD="gzip -dc $GUNTAR_LIBZIP/$GUNTAR_LIBZIP_NOM_V|tar xf -";fi
	GUNTAR_LIBZIP_NOM_V=`ls -d $GUNTAR_LIBNOM*.tgz|head -n1 2>/dev/null`;
	if [ "$GUNTAR_LIBZIP_NOM_V" != "" ]; then GUNTAR_CMD="gzip -dc $GUNTAR_LIBZIP/$GUNTAR_LIBZIP_NOM_V|tar xf -";fi
	GUNTAR_LIBZIP_NOM_V=`ls -d $GUNTAR_LIBNOM*.zip|head -n1 2>/dev/null`;
	if [ "$GUNTAR_LIBZIP_NOM_V" != "" ]; then GUNTAR_CMD="unzip $GUNTAR_LIBZIP/$GUNTAR_LIBZIP_NOM_V";fi
	GUNTAR_LIBZIP_NOM_V=`ls -d $GUNTAR_LIBNOM*.tar.bz2|head -n1 2>/dev/null`;
	if [ "$GUNTAR_LIBZIP_NOM_V" != "" ]; then GUNTAR_CMD="bzip2 -dc $GUNTAR_LIBZIP/$GUNTAR_LIBZIP_NOM_V|tar xf -";fi
	cd $GUNTAR_LIBUNZIP
	eval $GUNTAR_CMD
	cd $GUNTAR_CWD
}
